/* (C) 2022 YiRing, Inc. */
package com.yiring.app.constant.risk;

import com.yiring.app.excel.risk.RiskWarnExcel;
import java.util.ArrayList;
import java.util.List;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/24 16:32
 */
public class TemplateList {

    private static final List<RiskWarnExcel> LIST = new ArrayList<>();

    static {
        LIST.add(
            RiskWarnExcel
                .builder()
                .workAreaName("BTC产品库房")
                .point("112.863173604639,30.4786075211555,0")
                .install("产品库房北侧中间立柱东1")
                .monitoring("有毒气体报警器")
                .locationNum("AT-4736")
                .range("0-1.6")
                .unit("ppm")
                .lowLow("0.15")
                .low("0.2")
                .high("0.5")
                .highHigh("0.55")
                .flame("")
                .remark("注意:工区、安装位置、监控参数、位号为必填,导入时备注这一列可以删除")
                .build()
        );
        LIST.add(
            RiskWarnExcel
                .builder()
                .workAreaName("计量槽")
                .point("112.863173604639,30.4786075211555,0")
                .install("1号槽液位")
                .monitoring("液位")
                .locationNum("PI-2107A")
                .range("-27.18-7.32KPa")
                .unit("ppm")
                .lowLow("3%")
                .low("5%")
                .high("70%")
                .highHigh("73%")
                .flame("")
                .remark("注意:区间要么都为百分比要么都不为百分比")
                .build()
        );
        LIST.add(
            RiskWarnExcel
                .builder()
                .workAreaName("合成盐酸")
                .point("112.863173604639,30.4786075211555,0")
                .install("1号炉一楼")
                .monitoring("火焰检测")
                .locationNum("BSA-1401A")
                .range("")
                .unit("")
                .lowLow("")
                .low("")
                .high("")
                .highHigh("")
                .flame("1")
                .remark("注意:火焰检测在报警值(熄灭)这里添加预警值,等于这个数值时显示熄灭")
                .build()
        );
    }

    public static List<RiskWarnExcel> getTemplateList() {
        return LIST;
    }
}
