/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.location;

import java.io.Serializable;
import java.util.Collection;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/5 15:13
 */
@Repository
public interface LocationAlarmRuleRepository
    extends JpaRepository<LocationAlarmRule, Serializable>, JpaSpecificationExecutor<LocationAlarmRule> {
    /**
     * 根据多个围栏id查询
     * @param fenceIds 围栏id
     * @return 规则
     */
    @Query(
        value = "SELECT * FROM BS_LOCATION_ALARM_RULE  WHERE deleted = false AND fence_id IN (?1)",
        nativeQuery = true
    )
    List<LocationAlarmRule> findAllByFenceIds(Collection<Long> fenceIds);
}
