/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.risk;

import com.yiring.auth.domain.user.User;
import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.hibernate.annotations.Comment;

/**
 * 风险处置推送
 *
 * @author LJ-2204
 * @date 2022/5/23
 */

@Getter
@Setter
@ToString
@SuperBuilder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_RISK_HANDLE_PUSH")
@Comment("风险处置推送")
public class RiskHandlePush extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 7118854661682647225L;

    @Comment("起始预警时间")
    Integer timeStart;

    @Comment("结束")
    Integer timeEnd;

    @Comment("风险推送")
    @ManyToOne
    RiskPush riskPush;

    @Comment("通知方式")
    String types;

    @Comment("用户集合")
    @Builder.Default
    @OneToMany
    Set<User> users = new HashSet<>(0);
}
