/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.risk;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.yiring.app.domain.warningMsg.WarningMessage;
import com.yiring.auth.domain.user.User;
import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import javax.persistence.*;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.hibernate.annotations.Comment;

/**
 * 处置推送日志
 *
 * @author LJ-2204
 * @date 2022/5/27
 */

@Getter
@Setter
@ToString
@SuperBuilder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_RISK_HANDLE_PUSH_LOG")
@Comment("处置推送日志")
public class RiskHandlePushLog extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = -4525914994066766232L;

    @ManyToOne
    @Comment("预警信息")
    WarningMessage warningMessage;

    @ManyToOne
    @Comment("风险推送")
    RiskPush riskPush;

    @Comment("通知方式")
    String types;

    @Comment("接收状态")
    Boolean status;

    @ManyToOne
    @JoinColumn(name = "leader_id")
    @JsonIgnore
    @Comment("负责人")
    User user;
}
