/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.risk;

import com.yiring.app.domain.warningMsg.WarningMessage;
import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.hibernate.annotations.Comment;

/**
 * 监测记录
 *
 * @author LJ-2204
 * @date 2022/5/27
 */

@Getter
@Setter
@ToString
@SuperBuilder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_RISK_METER_DETECT")
@Comment("监测记录表")
public class RiskMeterDetect extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = -1124679497996569631L;

    @Comment("点位")
    @ManyToOne
    RiskWarn riskWarn;

    @Comment("预警")
    @ManyToOne
    WarningMessage warningMessage;

    @Comment("最新监测值")
    BigDecimal newestMonitor;
}
