/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.risk;

import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import javax.persistence.*;
import lombok.*;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.hibernate.annotations.Comment;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/24 11:21
 */
@Getter
@Setter
@ToString
@SuperBuilder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@Entity
@Table(name = "BS_THRESHOLD")
@Comment("阈值区间信息")
public class Threshold extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 3115736944401082777L;

    /*@ManyToOne
    @JoinColumn(name = "risk_warn_id")
    @Comment("对应的风险预警信息")
    private RiskWarn riskWarn;*/

    @Comment("阈值区间起始值")
    private String min;

    @Comment("阈值区间结束值")
    private String max;

    @Comment("阈值状态")
    private Integer status;

    @Comment("风险等级")
    private Integer riskLevel;
}
