/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.fence;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.util.Set;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/18 10:08
 */
@ApiModel("围栏报警推送记录")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class FenceAlarmPushLogConditionParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -3348481008334535142L;

    @ApiModelProperty(value = "围栏报警记录id", example = "1")
    @NotNull(message = "围栏报警记录id不能为空")
    private Long fenceAlarmId;

    @ApiModelProperty(value = "通知方式: 1-app消息 2-短信通知 3-电话通知", example = "[1,2,3]", dataType = "array")
    private Set<Integer> informManner;

    @ApiModelProperty(value = "接受状态: 1-成功 2-失败", example = "1")
    private Integer status;

    @ApiModelProperty(value = "联系电话", example = "18283943672")
    private String phone;
}
