/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.risk;

import com.yiring.app.domain.risk.Threshold;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/20 17:42
 */
@ApiModel("风险预警管理")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ThresholdParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 5075164198170220832L;

    @ApiModelProperty(value = "阈值区间起始值", example = "1.5")
    private String min;

    @ApiModelProperty(value = "阈值区间结束值", example = "20.2")
    private String max;

    @ApiModelProperty(value = "阈值状态:1-低低,2-低,3-高,4-高高,5-熄灭", example = "1")
    private Integer status;

    @ApiModelProperty(value = "风险等级:1-红色风险,2-橙色风险,3-黄色风险,4-蓝色风险", example = "1")
    private Integer riskLevel;

    public Threshold transform() {
        return Threshold.builder().min(min).max(max).status(status).riskLevel(riskLevel).build();
    }
}
