/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.location.fence;

import com.yiring.app.param.location.fence.FenceAlarmPushLogConditionParam;
import com.yiring.app.vo.location.fence.FenceAlarmPushLogVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import javax.validation.Valid;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/18 10:26
 */
public interface FenceAlarmPushLogService {
    /**
     * 查询围栏报警推送记录列表
     * @param conditionParam 条件参数
     * @param pageParam 分页参数
     * @return 推送记录
     */
    Result<PageVo<FenceAlarmPushLogVo>> findList(
        @Valid FenceAlarmPushLogConditionParam conditionParam,
        @Valid PageParam pageParam
    );
}
