/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.risk;

import com.yiring.app.param.risk.RiskHandlePushSaveParam;
import com.yiring.app.vo.risk.RiskHandlePushVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;

/**
 * 处置推送
 *
 * @author LJ-2204
 * @date 2022/5/24
 */
public interface RiskHandlePushService {
    /**
     * 新增
     * @param param RiskHandlePushSaveParam
     * @return Result<String>
     */
    Result<String> add(RiskHandlePushSaveParam param);

    /**
     * 分页查询
     * @param pageParam PageParam
     * @return Result<PageVo<RiskHandlePushVo>>
     */
    Result<PageVo<RiskHandlePushVo>> page(PageParam pageParam);

    /**
     * 删除
     * @param idParam IdParam
     * @return Result<String>
     */
    Result<String> delete(IdParam idParam);

    /**
     * 编辑
     * @param param RiskHandlePushSaveParam
     * @param idParam IdParam
     * @return Result<String>
     */
    Result<String> modify(RiskHandlePushSaveParam param, IdParam idParam);
}
