/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.location.fence;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/20 9:50
 */
@ApiModel("围栏报警数据记录")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FenceAlarmLogVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 5038611185916574099L;

    @ApiModelProperty(value = "围栏类别:1-普通围栏,2-特殊作业,3-重大危险源", example = "1")
    private Integer fenceType;

    @ApiModelProperty(value = "围栏类别名称", example = "普通围栏")
    private String fenceTypeName;

    @ApiModelProperty(value = "报警数量", example = "20")
    private Integer number;

    @ApiModelProperty(value = "报警类型相关数据记录")
    private List<AlarmTypeVo> alarmTypeVos;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class AlarmTypeVo {

        @JsonSerialize(using = ToStringSerializer.class)
        @ApiModelProperty(value = "报警类型id", example = "1524218162491428864")
        private Long alarmType;

        @ApiModelProperty(value = "报警类型名称", example = "超员报警")
        private String alarmTypeName;

        @ApiModelProperty(value = "报警数量", example = "20")
        private Integer number;
    }
}
