/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.risk;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 撤离推送
 *
 * @author LJ-2204
 * @date 2022/5/24
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("RiskWithdrawalPushVo")
public class RiskWithdrawalPushVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 7722496117450005400L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "id", example = "1")
    Long id;

    @ApiModelProperty(value = "通知方式", example = "APP/SMS")
    String types;

    @ApiModelProperty(value = "通知范围", example = "23")
    String scope;
}
