/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 首页数据
 *
 * @author LJ-2204
 * @date 2022/5/25
 */

@ApiModel("UserListInfoVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserListInfoVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 7533061903975538781L;

    @ApiModelProperty(value = "人员类型", example = "普通人员")
    String type;

    @ApiModelProperty(value = "相关人数")
    Integer numOfPeo;
}
