/* (C) 2022 YiRing, Inc. */
package com.yiring.app.web.key;

import com.yiring.app.param.key.KeyAlarmLogFindParam;
import com.yiring.app.service.key.KeyAlarmLogService;
import com.yiring.app.vo.key.KeyAlarmLogVo;
import com.yiring.auth.param.IdsParam;
import com.yiring.common.core.Result;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import javax.validation.Valid;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 按键报警推送信息
 *
 * @author LJ-2204
 * @date 2022/5/13
 */

@Validated
@SuppressWarnings({ "deprecation" })
@Api(tags = "按键报警推送", description = "KeyAlarmLog")
@RestController
@RequestMapping("/key/alarm/log")
public class KeyAlarmLogController {

    @Resource
    KeyAlarmLogService keyAlarmLogService;

    @ApiOperation("表格查询")
    @GetMapping("page")
    public Result<PageVo<KeyAlarmLogVo>> page(@Valid KeyAlarmLogFindParam param, @Valid PageParam pageParam) {
        return keyAlarmLogService.page(param, pageParam);
    }

    @ApiOperation("批量发送")
    @GetMapping("send")
    public Result<String> send(@Valid IdsParam idsParam) {
        return keyAlarmLogService.send(idsParam);
    }
}
