/* (C) 2022 YiRing, Inc. */
package com.yiring.app.web.location.station;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.yiring.app.feign.zy.location.beacon.LocationBeaconClient;
import com.yiring.app.util.zy.ZyUtil;
import com.yiring.app.vo.location.station.LocationBaseStationVo;
import com.yiring.common.core.Result;
import com.yiring.common.vo.PageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import java.util.HashMap;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/17 10:36
 */
@Validated
@SuppressWarnings({ "deprecation" })
@Api(tags = "基站", description = "")
@RestController
@RequestMapping("/station/")
public class LocationBaseStationController {

    @Resource
    LocationBeaconClient locationBeaconClient;

    @ApiOperation(value = "查询基站信息")
    @PostMapping("/page")
    public Result<PageVo<LocationBaseStationVo>> page() {
        HashMap<String, Object> hashMap = new HashMap<>();
        hashMap.put("deviceType", "BTR");
        hashMap.put("pageSize", 1000);
        hashMap.put("pageNum", 1);
        hashMap.put("orgId", 100);
        hashMap.put("deviceId", "");
        JSONObject page = locationBeaconClient.page(JSONUtil.toJsonStr(hashMap), ZyUtil.manageLogin());
        JSONObject data = JSONUtil.parseObj(page.get("data"));
        JSONArray records = JSONUtil.parseArray(data.get("records"));
        List<LocationBaseStationVo> locationBaseStationVos = JSONUtil.toList(
            JSONUtil.toJsonStr(records),
            LocationBaseStationVo.class
        );
        return Result.ok(PageVo.build(locationBaseStationVos, locationBaseStationVos.size()));
    }
}
