/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.param.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 用户修改密码
 *
 * @author LJ-2204
 * @date 2022/5/21
 */

@ApiModel("UserPwdParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserPwdParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -3263642123788595634L;

    @ApiModelProperty(value = "旧密码", example = "10086")
    String oldPassword;

    @ApiModelProperty(value = "新密码", example = "10086", required = true)
    @NotEmpty(message = "新密码不能为空")
    String newPassword;

    @ApiModelProperty(value = "确认密码", example = "10086", required = true)
    @NotEmpty(message = "确认密码不能为空")
    String confirmPwd;
}
